## org.eclipse.uml2.uml
Interface CombinedFragment

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ConsiderIgnoreFragment

    public interface CombinedFragment

extends InteractionFragment

A representation of the model object 'Combined Fragment'. A combined fragment defines an expression of interaction fragments. A combined fragment is defined by an interaction operator and corresponding interaction operands. Through the use of combined fragments the user will be able to describe a number of traces in a compact and concise manner.

The following features are supported:

- `Interaction Operator`
- `Operand`
- `Cfragment Gate`

See Also:
  `UMLPackage.getCombinedFragment()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Gate` `createCfragmentGate(java.lang.String name)` Creates a new `Gate`, with the specified 'Name', and appends it to the 'Cfragment Gate' containment reference list
`InteractionOperand` `createOperand(java.lang.String name)` Creates a new `InteractionOperand`, with the specified 'Name', and appends it to the 'Operand' containment reference list
`Gate` `getCfragmentGate(java.lang.String name)` Retrieves the first `Gate` with the specified 'Name' from the 'Cfragment Gate' containment reference list
`Gate` `getCfragmentGate(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Gate` with the specified 'Name' from the 'Cfragment Gate' containment reference list
`org.eclipse.emf.common.util.EList<Gate>` `getCfragmentGates()` Returns the value of the 'Cfragment Gate' containment reference list.
`InteractionOperatorKind` `getInteractionOperator()` Returns the value of the 'Interaction Operator' attribute.
`InteractionOperand` `getOperand(java.lang.String name)` Retrieves the first `InteractionOperand` with the specified 'Name' from the 'Operand' containment reference list
`InteractionOperand` `getOperand(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `InteractionOperand` with the specified 'Name' from the 'Operand' containment reference list
`org.eclipse.emf.common.util.EList<InteractionOperand>` `getOperands()` Returns the value of the 'Operand' containment reference list.
`void` `setInteractionOperator(InteractionOperatorKind value)` Sets the value of the '`Interaction Operator`' attribute
`boolean` `validateBreak(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If the interactionOperator is break, the corresponding InteractionOperand must cover all Lifelines within the enclosing InteractionFragment.
`boolean` `validateConsiderAndIgnore(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The interaction operators 'consider' and 'ignore' can only be used for the CombineIgnoreFragment subtype of CombinedFragment ((interactionOperator = #consider) or (interactionOperator = #ignore)) implies oclsisTypeOf(CombineIgnoreFragment)
`boolean` `validateMinintAndMaxint(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The InteractionConstraint with minint and maxint only apply when attached to an InteractionOperand where the interactionOperator is loop.
`boolean` `validateOptLoopBreakNeg(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If the interactionOperator is opt, loop, break, or neg there must be exactly one operand true

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInteractionOperator

    InteractionOperatorKind getInteractionOperator()

  Returns the value of the 'Interaction Operator' attribute. The default value is `"seq"`. The literals are from the enumeration `InteractionOperatorKind`. Specifies the operation which defines the semantics of this combination of InteractionFragments.

  Returns:
    the value of the 'Interaction Operator' attribute.
  See Also:
    `InteractionOperatorKind`, `setInteractionOperator(InteractionOperatorKind)`, `UMLPackage.getCombinedFragment_InteractionOperator()`

### setInteractionOperator

    void setInteractionOperator(InteractionOperatorKind value)

  Sets the value of the '`Interaction Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Interaction Operator' attribute.
  See Also:
    `InteractionOperatorKind`, `getInteractionOperator()`

### getOperands

    org.eclipse.emf.common.util.EList<InteractionOperand> getOperands()

  Returns the value of the 'Operand' containment reference list. The list contents are of type `InteractionOperand`. The set of operands of the combined fragment.

  Returns:
    the value of the 'Operand' containment reference list.
  See Also:
    `UMLPackage.getCombinedFragment_Operand()`

### createOperand

    InteractionOperand createOperand(java.lang.String name)

  Creates a new `InteractionOperand`, with the specified 'Name', and appends it to the 'Operand' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InteractionOperand`, or `null`.
  Returns:
    The new `InteractionOperand`.
  See Also:
    `getOperands()`

### getOperand

    InteractionOperand getOperand(java.lang.String name)

  Retrieves the first `InteractionOperand` with the specified 'Name' from the 'Operand' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InteractionOperand` to retrieve, or `null`.
  Returns:
    The first `InteractionOperand` with the specified 'Name', or `null`.
  See Also:
    `getOperands()`

### getOperand

    InteractionOperand getOperand(java.lang.String name,
                                  boolean ignoreCase,
                                  boolean createOnDemand)

  Retrieves the first `InteractionOperand` with the specified 'Name' from the 'Operand' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InteractionOperand` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `InteractionOperand` on demand if not found.
  Returns:
    The first `InteractionOperand` with the specified 'Name', or `null`.
  See Also:
    `getOperands()`

### getCfragmentGates

    org.eclipse.emf.common.util.EList<Gate> getCfragmentGates()

  Returns the value of the 'Cfragment Gate' containment reference list. The list contents are of type `Gate`. Specifies the gates that form the interface between this CombinedFragment and its surroundings

  Returns:
    the value of the 'Cfragment Gate' containment reference list.
  See Also:
    `UMLPackage.getCombinedFragment_CfragmentGate()`

### createCfragmentGate

    Gate createCfragmentGate(java.lang.String name)

  Creates a new `Gate`, with the specified 'Name', and appends it to the 'Cfragment Gate' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Gate`, or `null`.
  Returns:
    The new `Gate`.
  See Also:
    `getCfragmentGates()`

### getCfragmentGate

    Gate getCfragmentGate(java.lang.String name)

  Retrieves the first `Gate` with the specified 'Name' from the 'Cfragment Gate' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Gate` to retrieve, or `null`.
  Returns:
    The first `Gate` with the specified 'Name', or `null`.
  See Also:
    `getCfragmentGates()`

### getCfragmentGate

    Gate getCfragmentGate(java.lang.String name,
                          boolean ignoreCase,
                          boolean createOnDemand)

  Retrieves the first `Gate` with the specified 'Name' from the 'Cfragment Gate' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Gate` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Gate` on demand if not found.
  Returns:
    The first `Gate` with the specified 'Name', or `null`.
  See Also:
    `getCfragmentGates()`

### validateOptLoopBreakNeg

    boolean validateOptLoopBreakNeg(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  If the interactionOperator is opt, loop, break, or neg there must be exactly one operand true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMinintAndMaxint

    boolean validateMinintAndMaxint(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  The InteractionConstraint with minint and maxint only apply when attached to an InteractionOperand where the interactionOperator is loop. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateBreak

    boolean validateBreak(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                          java.util.Map<java.lang.Object,java.lang.Object> context)

  If the interactionOperator is break, the corresponding InteractionOperand must cover all Lifelines within the enclosing InteractionFragment. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateConsiderAndIgnore

    boolean validateConsiderAndIgnore(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

  The interaction operators 'consider' and 'ignore' can only be used for the CombineIgnoreFragment subtype of CombinedFragment ((interactionOperator = #consider) or (interactionOperator = #ignore)) implies oclsisTypeOf(CombineIgnoreFragment)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.